Summary:	Additional XSL properties for Pango
Name:		pangoxsl
Version:	1.6.0.0
Release:	1
License:	LGPL
Group:		System Environment/Libraries
Url:		http://pangopdf.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	glib2 pango
BuildRequires:	glib2-devel pango-devel

%description
Additional XSL properties for Pango

%package devel
Summary:	Additional XSL properties for Pango
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	pango-devel

%description devel
The pangoxsl-devel package includes the static libraries and header files
for the pangoxsl package.

Install pangoxsl-devel if you want to develop programs which will use
pangoxsl.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{_prefix} \
    --bindir=%{_bindir} --mandir=%{_mandir} \
    --localstatedir=%{_localstatedir} --libdir=%{_libdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir} --disable-gtk-doc --disable-pdflib
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} libdir=$RPM_BUILD_ROOT%{_libdir} \
    localstatedir=$RPM_BUILD_ROOT%{_localstatedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/pangopdf/pango.modules

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README AUTHORS COPYING ChangeLog TODO
%doc examples/HELLO.utf8
%dir %{_libdir}/pangoxsl
%{_libdir}/pangoxsl/*.so.*
%{_bindir}/*
%dir %{_libdir}/pangoxsl/pango
%dir %{_libdir}/pangopdf/pango/1.2.0
%dir %{_libdir}/pangopdf/pango/1.2.0/modules
%{_libdir}/pangopdf/pango/1.2.0/modules/*.so
%{_datadir}/pangopdf
%config %{_sysconfdir}/pangopdf/pangox.aliases

%files devel
%defattr(-, root, root)
%{_libdir}/pangopdf/*.so
%{_libdir}/pangopdf/*a
%{_libdir}/pangopdf/pango/1.2.0/modules/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/pangopdf/pango-1.0
%{_datadir}/gtk-doc/html/pangopdf

%changelog
* Sun Oct 10 2004 Tony Graham <tonygraham@users.sourceforge.net>
- New file for new pangoxsl module
